magics++ 4.2.6-1 source package in Ubuntu

Changelog

magics++ (4.2.6-1) unstable; urgency=medium

  * New upstream release
  * Drop Makefile that tries a docker image build from git
  * Add patch to handle ++ signs in pkgconfig path during build
  * Drop old empty patches from d/patches

 -- Alastair McKinstry <email address hidden>  Fri, 31 Jan 2020 12:23:11 +0000

Upload details

Uploaded by:
Alastair McKinstry
Uploaded to:
Sid
Original maintainer:
Alastair McKinstry
Architectures:
any all
Section:
utils
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Focal release universe utils

Downloads

File Size SHA-256 Checksum
magics++_4.2.6-1.dsc 2.6 KiB b301907a3d907bbc1b26ee7d88edec159d02f6ef635c3b0b9d8ba1c855a8a8ea
magics++_4.2.6.orig.tar.xz 43.8 MiB 7902dfddb5832900a9cd644da9f8d62fb4d9375b5c3214a172287387ba2f436c
magics++_4.2.6-1.debian.tar.xz 17.8 KiB 18ee404890a06b559953337feae4ca2dc702b3ad2c6214ab0b4ac637131d4f48

No changes file available.

Binary packages built by this source

libmagics++-data: No summary available for libmagics++-data in ubuntu groovy.

No description available for libmagics++-data in ubuntu groovy.

libmagics++-dev: Development files for ECMWF plotting software MAGICS++

 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
 a plot description language based on XML aimed at automatic web production.
 .
 This package includes the header files and static libraries needed to build
 against libmagics++.

libmagics++-metview-dev: Libraries needed for building MetView

 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 .
 This package includes the header files and static libraries needed to build
 metview against magics++.

libmagplus3v5: No summary available for libmagplus3v5 in ubuntu groovy.

No description available for libmagplus3v5 in ubuntu groovy.

libmagplus3v5-dbgsym: debug symbols for libmagplus3v5
magics++: Executables for the magics++ library

 Magics++ is the latest generation of the ECMWF's Meteorological plotting
 software MAGICS. Although completely redesigned in C++, it is intended to be
 as backwards-compatible as possible with the Fortran interface.
 Besides its programming interfaces (Fortran and C), Magics++ offers MagML,
 a plot description language based on XML aimed at automatic web production.
 .
 This package contains the MagcML binary that may be used with magics++.

magics++-dbgsym: No summary available for magics++-dbgsym in ubuntu groovy.

No description available for magics++-dbgsym in ubuntu groovy.